/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  07.06.2006
   Letzte Änderung: 07.04.2013
         fout.write( (int) 13);
         fout.write( (int) 10);

*/

import java.io.*;

 // Beispiel für die Ausgabe mittels eines PrintStreams
 // Die Daten werden immer in ASCII-Zeichen übersetzt und in die Datei geschrieben
 // Kann dann mit jedem ASCII-Editor geoeffnet werden, Notepad

public class WriteASCII00 {

  private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

  private static void test1() {
		// Stream
	// Beispiel mit Prinstream Funktion
    try {
         FileOutputStream fout = new FileOutputStream("1.txt"); // write( byte[] oder int)
         String s = "1. Zeile";
         for (char ch : s.toCharArray() ) {
           fout.write( (byte) ch);
         }
    
         fout.write( (byte) 13);
         fout.write( (byte) 10);
         s = "2. Zeile";
         for (char ch : s.toCharArray() ) {
           fout.write( (byte) ch);
         }        
         fout.close();
       }
       catch (IOException ee) {
           System.err.println("IOException: " + ee);
	 }
    System.out.println("Es wurde die Datei 1.txt erzeugt");
    System.out.println("Bitte Taste druecken");
  }  // test1

  public static void main(String argv[]) {
    test1();
    pause();
  }  // main
}


